
package fs;

import ev.Pheno;
import java.awt.Color;
import java.awt.Graphics;
import java.util.TreeSet;
import javax.swing.JPanel;

/**
 *
 * @author sigved
 */
public class PopulationView extends JPanel{
    int width = 2;
    int height = 2;
    private final TreeSet<Pheno> pop;
    public PopulationView(TreeSet<Pheno> pop){
        this.pop = pop;
        
    }
    @Override
	public void paint(Graphics g) {
        g.setColor(Color.WHITE);
        int y = 0;
        for(Pheno p : pop.descendingSet()){
            if(p instanceof FeatureSet){
                FeatureSet fs = (FeatureSet) p;
                for(int i : fs.indexes){
//                    g.drawRect(i*width, y, width-1, height-1);
                    g.fillRect(i*width, y, width, height);
                }
                y += height;
            }
        }
    }
}
