/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ev.cc;

import ev.Pheno;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Random;
import java.util.Set;
import org.reflections.Reflections;

/**
 *
 * @author sigved
 */
public abstract class ParentSelector{
    private boolean sameParentPossible = true;
    
    protected Random r = new Random(1l);
    protected abstract Pheno selectParent(Set<Pheno> pop);
    
    public void setSameParentPossible(boolean v){
        sameParentPossible = v;
    }
    
    public List<Pheno> selectParents(int nmp, Set<Pheno> innpop, double crosschance){
        Set<Pheno> pop = new HashSet<Pheno>(innpop);
        ArrayList<Pheno> ret = new ArrayList<Pheno>();
        int np = 1;
        if(crosschance > r.nextDouble())np = nmp;
        for(int i = 0; i < np; i++){
            Pheno p = selectParent(pop);
            ret.add(p);
            if(!sameParentPossible && pop.size() > 1)pop.remove(p);
        }
        return ret;
    }
    
    public static Set<Class<? extends ParentSelector>> getParentSelectors(){
        Reflections ref = new Reflections("ev");
        
        return ref.getSubTypesOf(ParentSelector.class);
    }
}
