/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ev.cc.parentSelectors;
import ev.cc.ParentSelector;
import ev.Pheno;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Random;
import java.util.Set;
import java.util.TreeSet;

/**
 *
 * @author sigved
 */
public class TournamentSelector extends ParentSelector{
    public double groupSize = 6d;
    public double randomChance = 0.5d;
    
    @Override
    protected Pheno selectParent(Set<Pheno> pop) {
        ArrayList<Pheno> takeFrom = new ArrayList<Pheno>(pop);
        
        if(r.nextFloat() < randomChance)return takeFrom.get(r.nextInt(takeFrom.size()));
        
        TreeSet<Pheno> competition = new TreeSet<Pheno>(new Comparator<Pheno>(){

            @Override
            public int compare(Pheno arg0, Pheno arg1) {
                if(arg0.getFitness() > arg1.getFitness())return 1;
                else return 0;
            }
            
        });
        for(int i = 0; i < groupSize && takeFrom.size() > 0; i++)
            competition.add(takeFrom.remove(r.nextInt(takeFrom.size())));
        
        return competition.last();
    }
    
}
